"use strict";

const {
  convertCode
} = require('../utilities');

test('for of loop', () => {
  const inputCode = `const cars = ["BMW", "Volvo", "Mini"];
let text = "";

for (let x of cars) {
  text += x + " ";
}`;
  const outputCode = `const cars = ["BMW", "Volvo", "Mini"];
let text = "";
for (let x of cars) {
  text += x + " ";
}`;
  expect(convertCode(inputCode)).toBe(outputCode);
});